Force all pixels above the threshold into white

- « Imagick::waveImage

- Imagick::writeImage »

- PHP Manual
- Imagick
- Force all pixels above the threshold into white

# Imagick::whiteThresholdImage

(PECL imagick 2, PECL imagick 3)

Imagick::whiteThresholdImage — Force all pixels above the threshold into white

### Description

public Imagick::whiteThresholdImage(mixed `$threshold`): bool

Is like Imagick::ThresholdImage() but force all pixels above the threshold into white while leaving all pixels below the threshold unchanged.

### Parameters

`threshold`

### Return Values

Returns `true` on success.

### Changelog

Version | Description
--- | ---
PECL imagick 2.1.0 | Now allows a string representing the color as a parameter. Previous versions allow only an ImagickPixel object.

### Examples

Example #1 Imagick::whiteThresholdImage()

    <?phpfunction whiteThresholdImage($imagePath, $color) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->whiteThresholdImage($color);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>